/**
*.Name      get_mcvt
*
*.Title     Получить адрес векторной таблицы связи
*
*.Descr     Функция возвращает адрес векторной таблицы связи
*           для DOS версий 2.х, 3.х, 4.00, 4.01
*
*.Proto     CVT far *get_mcvt(void);
*
*.Params    Нет
*
*.Return    Указатель на векторную таблицу связи
*
*.Sample    show_ddc.c
**/

#include <dos.h>
#include <stdio.h>
#include "sysp.h"

CVT far *get_mcvt(void) {

	union  REGS  inregs, outregs;
	struct SREGS segregs;

	inregs.h.ah = 0x52;
	intdosx( &inregs, &outregs, &segregs );

	return((CVT far*)FP_MAKE(segregs.es,outregs.x.bx-2));

}
